Bug 1193657 - [BP SLE15-SP4] link to /usr/lib64/libclzma.so fails with: undefined reference to `Sha256_UpdateBlocks_HW'
[BP SLE15-SP4] link to /usr/lib64/libclzma.so fails with: undefined reference...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Backports
Classification: openSUSE
Component: Packages
SLE-15-SP4
aarch64 Other
: P5 - None : Normal
: ---
Assigned To: E-Mail List
E-Mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-13 09:28 UTC by Guillaume GARDET
Modified: 2022-01-18 14:50 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2021-12-13 09:28:58 UTC
Since the update of lzma-sdk [0], gzdoom and slade fail to build on aarch64 with the following error:
/usr/lib64/gcc/aarch64-suse-linux/7/../../../../aarch64-suse-linux/bin/ld: /usr/lib64/libclzma.so: undefined reference to `Sha256_UpdateBlocks_HW'

[0]: https://build.opensuse.org/request/show/937633
Comment 1 Max Lin 2021-12-14 09:55:26 UTC
Interesting, I don't see any suspicion change on https://build.opensuse.org/request/show/937633 , and this error seem to be non-x86_64 only. What I can do is revert lzma-sdk to 19.00, it looks indeed fixed gzdoom build fail.
Comment 2 Guillaume GARDET 2021-12-14 10:29:34 UTC
The same error happens on Factory (x86_64) and Factory:ARM (aarch64) for slade and gzdoom.
Comment 3 Guillaume GARDET 2021-12-15 15:05:59 UTC
It should be fixed in Factory with https://build.opensuse.org/request/show/940745
Comment 4 Max Lin 2021-12-16 10:42:03 UTC
(In reply to Guillaume GARDET from comment #3)
> It should be fixed in Factory with
> https://build.opensuse.org/request/show/940745

I already reverted lzma-sdk in Backports, we can take https://build.opensuse.org/request/show/939089 later if needed, now gzdoom is build succeeded at least.
Comment 5 OBSbugzilla Bot 2021-12-16 11:50:04 UTC
This is an autogenerated message for OBS integration:
This bug (1193657) was mentioned in
https://build.opensuse.org/request/show/940858 Factory / lzma-sdk
Comment 6 OBSbugzilla Bot 2021-12-16 13:10:03 UTC
This is an autogenerated message for OBS integration:
This bug (1193657) was mentioned in
https://build.opensuse.org/request/show/940887 Backports:SLE-15-SP4 / lzma-sdk
Comment 7 Guillaume GARDET 2022-01-18 14:50:37 UTC
This is fixed now.